Skip to main content
GET
/
api
/
agents
/
{agent_id}
/
call_stats
Get Agent Call Stats
curl --request GET \
  --url https://api.example.com/api/agents/{agent_id}/call_stats
[
  {
    "call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "call_agent_id": 123,
    "stt_data": [],
    "llm_data": [],
    "tts_data": [],
    "call_transcription": [],
    "call_recording_url": "<string>",
    "from_number": "<string>",
    "to_number": "<string>",
    "recording_id": "<string>",
    "call_context": {},
    "call_status": "ANSWERED",
    "call_duration": 123,
    "billed_duration": 123,
    "initiation_time": "<string>",
    "answer_time": "<string>",
    "end_time": "<string>",
    "hangup_cause_name": "<string>",
    "hangup_source": "<string>",
    "call_direction": "inbound",
    "task_id": 123,
    "call_state_changes": [],
    "call_triggered": true,
    "call_quality": {},
    "call_insights": {},
    "call_timeline": [
      {}
    ],
    "tool_data": [
      {}
    ],
    "audio_config": {},
    "org_id": 123
  }
]

Path Parameters

agent_id
integer
required

Response

Successful Response

call_id
string<uuid> | null
call_agent_id
integer | null
stt_data
Stt Data · object[]
llm_data
Llm Data · object[]
tts_data
Tts Data · object[]
call_transcription
Call Transcription · object[]
call_recording_url
string | null
from_number
string | null
to_number
string | null
recording_id
string | null
call_context
Call Context · object
call_status
enum<string> | null
Available options:
ANSWERED,
FAILED,
INITIATED,
QUEUED
call_duration
number | null
billed_duration
number | null
initiation_time
string | null
answer_time
string | null
end_time
string | null
hangup_cause_name
string | null
hangup_source
string | null
call_direction
enum<string>
default:inbound
Available options:
inbound,
outbound
task_id
integer | null
call_state_changes
Call State Changes · object[]
call_triggered
boolean | null
call_quality
Call Quality · object
call_insights
Call Insights · object
call_timeline
Call Timeline · object[] | null
tool_data
Tool Data · object[]
audio_config
Audio Config · object
org_id
integer | null